{
  "name": "nex-rpc-explorer",
  "version": "1.0.0",
  "description": "Self-hosted Nexa blockchain explorer",
  "private": false,
  "bin": "bin/cli.js",
  "scripts": {
    "start": "node ./bin/www",
    "refresh-mining-pool-configs": "node ./bin/refresh-mining-pool-configs.js",
    "start-cli": "node ./bin/cli.js"
  },
  "keywords": [
    "Nexa",
    "blockchain",
    "Peer-to-peer Electronic Cash System"
  ],
  "author": "Andrea (sickpig) Suisani <sickpig@gmail.com>",
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/nexa/explorer.git"
  },
  "dependencies": {
    "async": "^3.2.4",
    "axios": "^1.3.4",
    "basic-auth": "^2.0.1",
    "bitcoinjs-lib": "^5.2.0",
    "bluebird": "^3.7.2",
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.5",
    "crypto-js": "^4.0.0",
    "csurf": "^1.11.0",
    "debug": "^4.3.4",
    "decimal.js": "^10.2.0",
    "dotenv": "^8.2.0",
    "electrum-client": "github:sickpig/electrum-client",
    "express": "^4.17.1",
    "express-async-handler": "^1.1.4",
    "express-rate-limit": "^6.6.0",
    "express-session": "^1.17.1",
    "jayson": "^4.1.0",
    "lru-cache": "6.0.0",
    "md5": "^2.3.0",
    "meow": "^9.0.0",
    "moment": "^2.29.1",
    "moment-duration-format": "^2.3.2",
    "morgan": "^1.10.0",
    "msgpackr": "^1.9.9",
    "nexaaddrjs": "^1.1.2",
    "pug": "^3.0.2",
    "qrcode": "^1.4.4",
    "redis": "^3.1.2",
    "semver": "^7.3.4",
    "serve-favicon": "^2.5.0",
    "simple-git": "^3.7.1",
    "text-decoding": "^1.0.0"
  },
  "devDependencies": {
    "less": "3.9.0",
    "npm-run-all": "^4.1.5"
  },
  "engines": {
    "node": ">=21"
  }
}
